%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jastow
Version:          1.0.0
Release:          4%{dist}
Summary:          Jasper fork
License:          ASL 2.0
Url:              https://github.com/undertow-io/jastow
Source0:          http://github.com/undertow-io/jastow/archive/%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    jboss-jsp-2.3-api
BuildRequires:    xnio
BuildRequires:    ecj
BuildRequires:    maven-local
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    undertow

BuildArch:        noarch

%description
The Jasper fork for Undertow.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jastow-%{namedversion}

%pom_remove_dep "org.glassfish:javax.el"

%build
# we don't want to have cyclic dep
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Mat Booth <mat.booth@redhat.com> - 1.0.0-3
- No need to change the dep on ecj.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.CR1
- Upstream release 1.0.0.CR1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha2
- Make the package building again after version bump

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha2
- Using tarball provided by github
- Removed Requires

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha2
- Initial packaging

